SDL_DisplayMode Struct Reference

`#include <SDL_video.h>`

## Data Fields

Uint32 | format
int | w
int | h
int | refresh_rate
void * | driverdata

## Detailed Description

# CategoryVideo

Header file for SDL video functions. The structure that defines a display mode

See also
  SDL_GetNumDisplayModes
  SDL_GetDisplayMode
  SDL_GetDesktopDisplayMode
  SDL_GetCurrentDisplayMode
  SDL_GetClosestDisplayMode
  SDL_SetWindowDisplayMode
  SDL_GetWindowDisplayMode

Definition at line 53 of file SDL_video.h.

## Field Documentation

## driverdata

void* SDL_DisplayMode::driverdata

driver-specific data, initialize to 0

Definition at line 59 of file SDL_video.h.

## format

Uint32 SDL_DisplayMode::format

pixel format

Definition at line 55 of file SDL_video.h.

## h

int SDL_DisplayMode::h

height, in screen coordinates

Definition at line 57 of file SDL_video.h.

## refresh_rate

int SDL_DisplayMode::refresh_rate

refresh rate (or zero for unspecified)

Definition at line 58 of file SDL_video.h.

## w

int SDL_DisplayMode::w

width, in screen coordinates

Definition at line 56 of file SDL_video.h.

The documentation for this struct was generated from the following file:

- SDL_video.h